Package io.yellowbrick.jdbc

## Enum DriverConfiguration.InteractionMode

- java.lang.Object
- - java.lang.Enum<DriverConfiguration.InteractionMode>
  - - io.yellowbrick.jdbc.DriverConfiguration.InteractionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DriverConfiguration.InteractionMode>`

Enclosing class:
  DriverConfiguration

    public static enum DriverConfiguration.InteractionMode
    extends Enum<DriverConfiguration.InteractionMode>

### Enum Constant Summary

Enum Constants
`BROWSER`
`CONSOLE`
`DIALOG`

### Method Summary

All Methods Static Methods Concrete Methods
`static DriverConfiguration.InteractionMode` `fromString​(String value)`
`static DriverConfiguration.InteractionMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DriverConfiguration.InteractionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIALOG

    public static final DriverConfiguration.InteractionMode DIALOG

#### BROWSER

    public static final DriverConfiguration.InteractionMode BROWSER

#### CONSOLE

    public static final DriverConfiguration.InteractionMode CONSOLE

### Method Detail

#### values

    public static DriverConfiguration.InteractionMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DriverConfiguration.InteractionMode c : DriverConfiguration.InteractionMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DriverConfiguration.InteractionMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static DriverConfiguration.InteractionMode fromString​(String value)